package WheelOfFortune.game.player;
import WheelOfFortune.game.*;

// Source file: U:\\cse308\\asn8\\src\\game\\player\\CPUPlayerStrategy.java


public interface CPUPlayerStrategy {
   
 /**
  * @return int
  * @roseuid 418931E30030
  */
 public int getDecision(GameModel gm);
   
 /**
  * @return char
  * @roseuid 41893209005D
  */
 public char getConsonant(GameModel gm);
   
 /**
  * @return char
  * @roseuid 4189320F0265
  */
 public char getVowel(GameModel gm);
   
 /**
  * @return String
  * @roseuid 4189321401B8
  */
 public String getPuzzleAnswer(GameModel gm);
   
 /**
  * @return int
  * @roseuid 418932190346
  */
 public int getUseToken(GameModel gm);
}
